MantisBT  Site | Plugring | Plugins API and Macros | Forum | English Forum | Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003432Wishes.PluginsLuaMacro / Macro Browserpublic2017-05-10 19:012017-05-16 14:24
ReporterHaRT 
Assigned Toshmuel 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003432: Краткая справка по синтаксису командной строки LuaMacro (lua:)
DescriptionХотелось бы, чтобы при вызове “lua:” (без параметров) в том или ином виде (например, в виде окошка с сообщением прямо в Фаре) выводилась краткая справка по синтаксису — подобно тому, как это сделано для “view:”/“edit:”.
Additional InformationОбсуждение
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015345)
shmuel (developer)
2017-05-10 23:59

При исполнении edit: без параметров выводится соответственная страница помощи плагина FarCmds. Заметим, что это - единственный источник данной информации.

1. В LuaMacro хелпа нет, но если добавить, то получится 2 источника информации (первый: macroapi_manual.(ru|en).chm). Эти источники нужно будет держать в синхронизации, что мне совсем не нравится.

2. Можно из плагина вызывать chm-файл:
local topic = win.GetEnv("FARHOME").."\\Encyclopedia\\macroapi_manual.ru.chm::/92.html"

win.ShellExecute(nil,nil,"hh.exe",topic)

но тут вопрос: а на всех ли системах установлен hh.exe ...
(0015346)
DrKnS (administrator)
2017-05-11 00:39

Вызывайте HtmlHelp(), а ОС уж как-то разберётся, чем его открывать.
(0015349)
shmuel (developer)
2017-05-11 08:45

Посмотрел насчёт HtmlHelp() - есть ощущение, что овчинка выделки не стоит.
Добавлять в проекты htmlhelp.h, htmlhelp.lib двух битностей, модифицировать сборочные скрипты для VC и GCC.

Глянул поиском, вроде уже в Windows XP файл hh.exe имеется, поэтому решение, приведенное выше кажется мне предпочтительным.
(0015350)
shmuel (developer)
2017-05-11 13:12

Можно проверять.
(0015352)
HaRT (reporter)
2017-05-12 16:59
edited on: 2017-05-12 17:02

В сеансе с GUI работает, в сеансе без GUI не проверял (а хорошо бы удостовериться, что не падает).

PS
Что-то не вижу возможности изменить Статус заявки, хоть я её и создал…

PPS
Так, а почему это вдруг Статус из “feedback” стал “assigned”?!
Админы, почините Workflow, пожалуйста!

(0015353)
shmuel (developer)
2017-05-12 17:13

А что это за "сеанс без GUI", нельзя ли ссылочку?

Насчёт бага изменения статуса на мантисе - это уже давно имеет место, может быть года два.
(0015354)
HaRT (reporter)
2017-05-12 21:38

shmuel wrote

А что это за "сеанс без GUI", нельзя ли ссылочку?

Это как минимум одно из:
* в telnet/SSH-сеансе — с родным telnet сервером, с KpyM и т.п.
* вроде бы умельцы запускали Фар то ли в DOSBox, то ли в Acronis…

И ещё выяснилось, что в Windows Server Core вряд ли есть hh.exe:
list of user interface elements that are not included in Server Core wrote

All Hypertext Markup Language (HTML) rendering engines, including Internet Explorer and HTML Help
(0015355)
shmuel (developer)
2017-05-12 22:18

Поскольку вводимая фича не видится мне существенной, и поскольку чтение документации никто не отменял, то эти (предположительно) 5 процентов использований Far просто останутся без этой подсказки. Они ведь и так работают в ограниченном окружении, без много чего.

Что касается возможности падения, то это мне видится крайне маловероятным - функция ShellExecute просто вернёт значение ошибки (плагин возвращаемое значение игнорирует).
(0015359)
shmuel (developer)
2017-05-15 16:28

Добавлять хелп фаровского формата - не опция. Формат HTML Help однозначно лучше, а дублировать его ещё и в фаровском хелпе нет ни времени, ни желания. Считаю, что задача выполнена, пусть не на 100, так на 95%, что на практике означает совсем неплохо.

Если есть дополнительные соображения, высказывайтесь. Если нет - закрываю.

- Issue History
Date Modified Username Field Change
2017-05-10 19:01 HaRT New Issue
2017-05-10 23:59 shmuel Note Added: 0015345
2017-05-11 00:39 DrKnS Note Added: 0015346
2017-05-11 08:45 shmuel Note Added: 0015349
2017-05-11 13:12 shmuel Note Added: 0015350
2017-05-11 13:12 shmuel Assigned To => shmuel
2017-05-11 13:12 shmuel Status new => feedback
2017-05-12 16:59 HaRT Note Added: 0015352
2017-05-12 16:59 HaRT Status feedback => assigned
2017-05-12 17:02 HaRT Note Edited: 0015352 View Revisions
2017-05-12 17:13 shmuel Note Added: 0015353
2017-05-12 21:38 HaRT Note Added: 0015354
2017-05-12 22:18 shmuel Note Added: 0015355
2017-05-13 12:03 shmuel Status assigned => feedback
2017-05-15 16:28 shmuel Note Added: 0015359
2017-05-16 14:24 shmuel Status feedback => closed
2017-05-16 14:24 shmuel Resolution open => fixed
2017-05-16 14:24 shmuel Fixed in Version => 3.0



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker